package com.atlassian.stash.internal.web.setup;

import com.atlassian.bitbucket.validation.annotation.HttpURL;
import com.atlassian.bitbucket.validation.annotation.RequiredString;

public class JiraIntegrationForm {

    private String jiraBaseUrl;
    private String jiraAdminUsername;
    private String jiraAdminPassword;
    private String stashBaseUrl;
    private boolean addUserDirectory;
    private boolean skip;

    public JiraIntegrationForm() {
    }

    protected JiraIntegrationForm(String stashBaseUrl) {
        this.stashBaseUrl = stashBaseUrl;
    }

    @RequiredString(size = 255) @HttpURL
    public String getJiraBaseUrl() {
        return jiraBaseUrl;
    }

    @RequiredString(size = 255)
    public String getJiraAdminUsername() {
        return jiraAdminUsername;
    }

    @RequiredString(size = 255)
    public String getJiraAdminPassword() {
        return jiraAdminPassword;
    }

    @RequiredString(size = 255) @HttpURL
    public String getStashBaseUrl() {
        return stashBaseUrl;
    }

    public boolean getAddUserDirectory() {
        return addUserDirectory;
    }

    public boolean isSkip() {
        return skip;
    }

    public void setJiraBaseUrl(final String jiraBaseUrl) {
        this.jiraBaseUrl = jiraBaseUrl;
    }

    public void setJiraAdminUsername(final String jiraAdminUsername) {
        this.jiraAdminUsername = jiraAdminUsername;
    }

    public void setJiraAdminPassword(final String jiraAdminPassword) {
        this.jiraAdminPassword = jiraAdminPassword;
    }

    public void setStashBaseUrl(final String stashBaseUrl) {
        this.stashBaseUrl = stashBaseUrl;
    }

    public void setAddUserDirectory(final boolean addUserDirectory) {
        this.addUserDirectory = addUserDirectory;
    }

    public void setSkip(final boolean skip) {
        this.skip = skip;
    }

}
